Skip to main content
GET
Get function

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

namespace_name
string
required

Namespace name

Pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
Example:

"namespace-name"

function_name
string
required

Function name

Pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
Example:

"function-name"

Response

200 - application/json

OK

autoscaling
FaasAutoscalingSerializer · object
required

Autoscaling configuration for the function. Keys must be 'min_instances' or 'max_instances', and values must be integers between 0 and 50.

Example:
build_message
string
required

Function build message.

Example:

"Building"

build_status
string
required

Function build status.

Example:

"Building"

code_text
string
required

Function code text.

Required string length: 1 - 100000
Example:

"def main():\n return 'Hello World'"

created_at
string
required

Function creation date.

Example:

"2023-08-22T11:21:00Z"

dependencies
string
required

Dependencies for the function to install.

Maximum string length: 100000
Example:

"numpy==1.21.0\npandas==1.3.0"

deploy_status
Deploy Status · object
required

Function deploy status.

Example:
description
string
required

Description of the function.

Maximum string length: 255
Example:

"This is a sample function."

endpoint
string
required

Function endpoint.

Example:

"https://example.com/function-name"

flavor
string
required

The name of the flavor associated with the function.

Example:

"64m-64MB"

id
string
required

Function ID.

Example:

"c8a920ad-b5a4-47d5-b8b9-0e6c35cd800f"

main_method
string
required

The main startup method name.

Required string length: 1 - 100
Example:

"run"

name
string
required

Function name.

Pattern: ^[a-z][-a-z0-9]{0,24}[a-z0-9]$
Example:

"function-name"

runtime
string
required

Function runtime.

Example:

"python3.7.12"

status
string
required

Function status.

Example:

"Running"

timeout
integer
required

Function timeout in seconds.

Required range: 0 <= x <= 180
Example:

5

enable_api_key
boolean | null

Enable or disable API key authentication.

Example:

true

envs
Envs · object | null

Environment variables for the function. Keys must match a specific regex pattern and be 1-255 characters long, and values must be 0-255 characters long.

Example: